//
//  LocalPlayerVC.swift
//  AmpSimpleSample
//
//  Created by Miguel Hernandez on 1/16/19.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpDownloader

class LocalPlayerVC: UIViewController {
    
    var player:AmpPlayer!
    var download:AmpDownload?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        player = AmpPlayer(parentView: self.view)
        player.setLicense("AwF/scPTlX2KkTmnvwmOnhM5sjh4D57sF90Oh8zBs6YNMbnZEjonUZb/1/6KCV3/Jt47C2zbhzNjW3dPpRZYNoMEwvhDAG1DxmTcrCjPCNBZ4Hhcaxn0TtVvc3fchQwffp8HHWKLv8y28CBVNzzloysHa5O+BpejM4mXw201k9bKsHx0NSiclJgzT9vmjiuyC2j0fWnjVc0ULSvS9v1MDlYto5ufUStX9XMj/wlk7SVc7377ifO+SjS+Zq3OcKCNVlI=")
        if let asset = download?.asset  {
            player.play(asset: asset)
        }
        
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        player.stop()
        player = nil
    }
}
